#
# spec file for package openstack-rally
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component rally

%define version_unconverted 1.0.1.dev6

Name:           openstack-%{component}
Version:        1.0.1~dev6
Release:        1.1
Summary:        Benchmark System for OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         http://tarballs.openstack.org/rally/rally-master.tar.gz
Requires:       python-rally = %{version}
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Rally is a Benchmark-as-a-Service project for OpenStack.

Rally is intended to provide the community with a benchmarking tool that is capable of performing **specific**, **complicated** and **reproducible** test cases on **real deployment** scenarios.

%package -n python-rally
Summary:        Benchmark System for OpenStack - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Jinja2 >= 2.8
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-PyYAML >= 3.10
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-alembic >= 0.8.10
Requires:       python-boto >= 2.32.1
Requires:       python-ceilometerclient >= 2.5.0
Requires:       python-cinderclient >= 3.3.0
Requires:       python-decorator >= 3.4.0
Requires:       python-designateclient >= 2.7.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-heatclient >= 1.10.0
Requires:       python-ironicclient >= 2.2.0
Requires:       python-jsonschema >= 2.6.0
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-kubernetes >= 1.0.0
Requires:       python-magnumclient >= 2.1.0
Requires:       python-manilaclient >= 1.16.0
Requires:       python-mistralclient >= 3.1.0
Requires:       python-monascaclient >= 1.7.0
Requires:       python-muranoclient >= 0.8.2
Requires:       python-netaddr >= 0.7.18
Requires:       python-neutronclient >= 6.3.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-os-faults >= 0.1.15
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.db >= 4.27.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-osprofiler >= 1.4.0
Requires:       python-paramiko >= 2.0.0
Requires:       python-pbr >= 2.0.0
Requires:       python-psycopg2 >= 2.5
Requires:       python-python-subunit >= 1.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-saharaclient >= 1.4.0
Requires:       python-six >= 1.10.0
Requires:       python-swiftclient >= 3.2.0
Requires:       python-troveclient >= 2.2.0
Requires:       python-virtualenv >= 14.0.6
Requires:       python-zaqarclient >= 1.0.0

%description -n python-rally
This package contains the core Python module of OpenStack Rally.

%prep
%setup -q -n %{component}-%{version_unconverted}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
mv %{buildroot}/usr/etc/bash_completion.d/rally.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/

%check
#testr init
#testr run --parallel

%files
%defattr(-,root,root,-)
%doc README.rst ChangeLog LICENSE AUTHORS
%{_bindir}/rally-manage
%{_bindir}/rally
%{_sysconfdir}/bash_completion.d/%{component}.bash_completion

%files -n python-rally
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info

%changelog
* Fri Jul  6 2018 cloud-devel@suse.de
- Update to version rally-1.0.1.dev6:
  Changelog
  .. Changelogs are for humans, not machines. The end users of Rally project are
    human beings who care about what's is changing, why and how it affects them.
    Please leave these notes as much as possible human oriented.
  .. Each release can use the next sections:
  - **Added** for new features.
  - **Changed** for changes in existing functionality.
  - **Deprecated** for soon-to-be removed features/plugins.
  - **Removed** for now removed features/plugins.
  - **Fixed** for any bug fixes.
  .. Release notes for existing releases are MUTABLE! If there is something that
    was missed or can be improved, feel free to change it!
  [Unreleased]
  Removed
  ~~~~~~~
  * Disturbing warning message about removing in-tree OpenStack plugins. This
    message became redundant after Rally 1.0.0 when such plugins were removed.
  * OpenStack related configuration options for sample file.
  [1.0.0] - 2018-06-20
  It finally happened. We are happy to inform you that OpenStack plugins has a
  single home - https://github.com/openstack/rally-openstack .
  All in-tree plugins are removed now and framework part become more lightweight.
  What does it mean for you?!
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~
  If you are interested only in OpenStack plugins, just change the package you
  are installing from ``rally`` to ``rally-openstack``. If you have custom
* Wed Jul  4 2018 cloud-devel@suse.de
- Update to version rally-1.0.1.dev2:
  * Update config sample file
  * Remove redundant message about openstack plugins
  1.0.0
  * Prepare to Rally 1.0.0 release
  * [evil] Remove OpenStack related plugins
  * [verifiers] Fix identification of testr/stestr
  * [evil][ci] Preparing to remove all OpenStack in-tree plugins
  * Fix typos replace a OpenStack instance with an OpenStack instance
  * Amend the spelling error of a word
  * [env] Fix validation existing platforms in py3
  * Drop all qpid related explanations
  * Remove hardcode to openstack from required\_platform validator
  * [plugins] Simplify usage of plugins with "default" platform
  * fix error url
  0.12.1
  * Add release notes for 0.12.1
  * Load options before importing packages
  * Trivial: update url to new url
  0.12.0
  * [docs] Add release notes for 0.12.0
  * Ignore several hacking rule
* Tue Jul  3 2018 cloud-devel@suse.de
- Update to version rally-1.0.1.dev1:
  [Unreleased]
  Removed
  ~~~~~~~
  * Disturbing warning message about removing in-tree OpenStack plugins. This
    message became redundant after Rally 1.0.0 when such plugins were removed.
* Thu Jun 21 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev15:
  Changelog
  .. Changelogs are for humans, not machines. The end users of Rally project are
    human beings who care about what's is changing, why and how it affects them.
    Please leave these notes as much as possible human oriented.
  .. Each release can use the next sections:
  - **Added** for new features.
  - **Changed** for changes in existing functionality.
  - **Deprecated** for soon-to-be removed features/plugins.
  - **Removed** for now removed features/plugins.
  - **Fixed** for any bug fixes.
  .. Release notes for existing releases are MUTABLE! If there is something that
    was missed or can be improved, feel free to change it!
  [1.0.0] - 2018-06-20
  It finally happened. We are happy to inform you that OpenStack plugins has a
  single home - https://github.com/openstack/rally-openstack .
  All in-tree plugins are removed now and framework part become more lightweight.
  What does it mean for you?!
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~
  If you are interested only in OpenStack plugins, just change the package you
  are installing from ``rally`` to ``rally-openstack``. If you have custom
  OpenStack plugins which inherits from upstream, change python imports from
  ``rally.plugins.openstack`` to ``rally_openstack``. That is all.
  If you are interested not only in OpenStack, you can start using your favourite
  tool for various platforms and systems. Here you can find our first attempts
  to seize the world - https://github.com/xrally/xrally-docker and
  https://github.com/xrally/xrally-kubernetes.
  Changed
* Thu Jun 14 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev12:
  * [evil][ci] Preparing to remove all OpenStack in-tree plugins
  * Remove hardcode to openstack from required\_platform validator
  * [plugins] Simplify usage of plugins with "default" platform
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev7:
  * Fix typos replace a OpenStack instance with an OpenStack instance
* Fri Jun  8 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev6:
  * Amend the spelling error of a word
* Tue Jun  5 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev5:
  * Drop all qpid related explanations
* Fri Jun  1 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev3:
  * [env] Fix validation existing platforms in py3
* Tue May 22 2018 cloud-devel@suse.de
- Update to version rally-0.12.2.dev1:
  * fix error url
  0.12.1
* Wed May 16 2018 cloud-devel@suse.de
- Update to version rally-0.12.1.dev4:
  * Add release notes for 0.12.1
  * Load options before importing packages
* Tue May 15 2018 cloud-devel@suse.de
- Update to version rally-0.12.1.dev2:
  * Trivial: update url to new url
* Wed May  9 2018 cloud-devel@suse.de
- Update to version rally-0.12.1.dev1:
  0.12.0
  * [docs] Add release notes for 0.12.0
  * Ignore several hacking rule
  * change the error\_code to 0-255
* Sat Apr 28 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev25:
  * [version] Import rally.common.db.schema when necessary
  * [plugins] load config options from external plugins
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev21:
  * Redesign ResourceTypes
* Wed Apr 25 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev19:
  * [docs] fix invalid "rst" usage
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev17:
  * [types] Remove redundant function
  * [verify] Ger rid of calling pip internals
* Mon Apr 23 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev13:
  * Trivial: Update pypi url to new url
* Fri Apr 20 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev12:
  * [docs] Use proper reference for openstack plugins
  * Fix obtaining env spec in case of old deployment format
* Thu Apr 19 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev8:
  * Remove oslotest from coverage job
  * Remove several test dependencies
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev6:
  * [env] fix wrong call for logging
* Sat Apr  7 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev5:
  * [cli] Use json.loads instead of yaml while importing results
* Thu Apr  5 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev4:
  * Fix 'rally task report --tasks'
  * Speed up RPS runner test cases
* Sat Mar 31 2018 cloud-devel@suse.de
- Update to version rally-0.11.3.dev1:
  * Remove unused clitutils.process\_keystone\_exc
  0.11.2
* Fri Mar 30 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev34:
  * Propose release notes for 0.11.2
* Thu Mar 29 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev33:
  * Fix obtaining env\_uuid from deployment
  * Print warning about deprecation OpenStack plugins
  * [envs] Add --only-spec option to pring spec
  * Deprecate rally devstack plugin
* Wed Mar 28 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev27:
  * [plugin] Do not load pyc files
* Sat Mar 24 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev25:
  * Update the CirrOS image to 0.4.0
* Fri Mar 23 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev23:
  * get rid of oslo.utils
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev22:
  * [envs] Creating a spec from system environment variables
* Mon Mar 19 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev20:
  * Remove oslo.utils from plugins
  * Fix constant\_for\_duration stucking on exceptions
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev18:
  * Fix the date format for db migrations files
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev16:
  * Fix the name format for db migrations
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev14:
  * Use for samples testing separated job
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev13:
  * Update links in README
  * [db] Refactor usage of session and serialization
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev9:
  * Rework novaclient floating ips actions
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev7:
  * Update incorrect URL and word typo
* Wed Mar  7 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev6:
  * [openstack] Remove nova hosts specific logic
* Sat Mar  3 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev4:
  * Fix exporting workload with n/a success\_rate to es
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev2:
  * Neutron scenario to delete subnets for the same network concurrently
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version rally-0.11.2.dev1:
  * Fix documents title format error
  0.11.1
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev22:
  * Fix the version of websocket-client
  * Fix title for Rally 0.11.1 release notes
  * Release notes for Rally 0.11.1
* Tue Feb 27 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev18:
  * [ci] Return 4 as a magic number for coverage job
  * [db][ci] Add basic job for checking migrations
  * Fix cli job
  * Don't use sitepackages for cli target
  * Add new Gnocchi scenarios
* Sun Feb 25 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev9:
  * [verify] Add support for sTestr
  * [db] Rework 7287df262dbc migration
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev6:
  * Refacotr DB layer (part 1)
  * Fix support for k8s-client 4.0
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev3:
  * Remove rally.task.utils.check\_service\_status method
* Sun Feb 18 2018 cloud-devel@suse.de
- Update to version rally-0.11.1.dev2:
  * Return stdout data after running the command:
  0.11.0
* Sat Feb 17 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev173:
  * [docs] Fix date of Rally 0.11.0 release
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev172:
  * Fix uc for PrettyTable
  * Release notes for 0.11.0
  * [envs] Implmenet Env CLI commands
  * [testing] Refactor CLI tests and utils
* Thu Feb 15 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev168:
  * [cfg] Use stderr for logging by default
* Wed Feb 14 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev167:
  * [docs] Fix several deployment configs
  * [env] Be more strict for version of format
  * Update requirements
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev162:
  * [cfg] Introduce rally.common.cfg
  * Add timestamp item for Failure tab on html report
  * [env][openstack] Change format of info method
  * port more things to use envmanager
  * Fix grammar error
* Sun Feb 11 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev152:
  * Fix default values in OpenStack platform
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev150:
  * update documentation reference
  * [openstack] Change identifiers for floating ips
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev147:
  * Dockerfile - trivial fixes
  * [cli] Fix docstring for --creds param of rally db ensure
  * Add release notes for 0.10.1
  * [envs] Change the format of plaforms data of EnvManager
  * Improve Env Manager Interface
  * Modify grammatical errors
  * modify keystone spelling errors
  * Add Gnocchi status scenario
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev132:
  * [jsonschema] Require specifying \`additionalProperties\` explicitly
  * setup roles before validating resource and cleanup just after it
  * Ability to specify external gateway info for router while creating network context
  * Handle resources with no name
  * Change line separator to the unix one
  * Add Gnocchi capabilities scenario
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev120:
  * Endpoint\_type of private is not valid
* Sat Jan 27 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev119:
  * [cleanup] Fix identifiers for Mistral resources
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev118:
  * Replace Chinese punctuation with English punctuation
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev117:
  * Update quick\_start step\_1
  * Modify the link to secure and correct
  * Migrate tox-self test
  * Use upper-constraints.txt in tox envs
  * Ensure cleanup is performed correctly on roles
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev107:
  * Introduce Gnocchi metric service
  * Update image-show command
  * [envs] Remove credentials base
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev102:
  * Update install\_rally.sh all available options
  * Correct link address in doc
  * Replace DeploymentEngine with EnvManager
  * Add timeout value into TimeoutException message
  * Revert "[CI] Unblock cinder job"
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev92:
  * [unittests]Port to new atomic actions
  * [envs] Add OpenStack platform (part 2)
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev88:
  * fix misspelling of 'configuration'
  * [install] Use constraints in install script
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev84:
  * modify sphinx-doc links
  * Update links in bindep.txt
  * keystone spelling errors
* Sun Jan 14 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev81:
  * [envs] Introduce Env Manager & Platforms (part 1)
  * Change unsecure link to use https
  * Remove redudant UUID method from migrations
  * Refactor DB related exceptions
* Wed Jan 10 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev76:
  * Worker entity removed
  * Use openstack-tox-functional
* Tue Jan  9 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev72:
  * [CI] Unblock cinder job
* Wed Jan  3 2018 cloud-devel@suse.de
- Update to version rally-0.10.1.dev71:
  * [CI] Fix Cinder update volume type scenario & service
* Fri Dec 29 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev70:
  * Improve imports in rally.common.db.sqlalchemy.api
  * Fix spelling in rally.plugin.plugin
* Tue Dec 26 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev68:
  * Fix the misspelling of "configuration" and "scenario"
* Mon Dec 25 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev67:
  * Make new report to support task file and remove old report
* Fri Dec 22 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev65:
  * Can not create Gnocchi client due to deprecated session options
  * Fix the misspelling of "migration"
  * [ci] remove legacy things from install job
* Wed Dec 20 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev60:
  * Add global path as constant in envutils
  * Add support for ssh source
* Tue Dec 19 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev56:
  * Remove outdated samples about deployment
  * Use atomic actions in cinder contexts
* Sat Dec 16 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev52:
  * Modify Bgpvpn scenarios to test true bgpvpn
  * [task] include contexts execution results
* Fri Dec 15 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev48:
  * [atomic actions] Add reset method
  * Use assertRegex instead of assertRegexpMatches
* Thu Dec 14 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev44:
  * Matching the tenant\_id when removing default security\_group
* Tue Dec 12 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev42:
  * OSProfiler Intergration
* Mon Dec 11 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev40:
  * [docker] Fix configuration
* Sun Dec 10 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev39:
  * Simplify usage of docker container
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev38:
  * [docs] Update info about cores
  * Add option arguments of scenarios of floating ip creation
* Tue Dec  5 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev35:
  * Do not use own function to find migration target
  * [ci] Split legacy-rally-dsvm-cli job
* Sat Dec  2 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev31:
  * Fix JSON generation when scenario has hooks
  * Make the error code diffrent between running error and sla error
  * Update the deprecated config schema
  * Fix test\_wait\_timeout unit test
* Fri Dec  1 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev24:
  * Zuul: add file extension to playbook path
  * Use base as the parent job, not base-integration
* Sun Nov 26 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev22:
  * Fix trends in case of failures in contexts
  * Add correct version for pyOpenSSL
* Sat Nov 25 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev18:
  * Do not use latest k8s client
* Mon Nov 20 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev17:
  * Change command return value
* Sat Nov 18 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev15:
  * [requirements] Stop using upper limits for all cases
* Fri Nov 17 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev13:
  * [ci] Start migrating to zuul v3
* Thu Nov 16 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev11:
  * Allow to pass list kwargs to image resource type
* Wed Nov 15 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev9:
  * [CLI] Improve Rally DB UX
* Sun Nov 12 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev8:
  * Add render\_complete\_data of chart
  * [CLI] Add rally db ensure command
  * Fix showing deployment config in case of old format
* Thu Nov  2 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev3:
  * Fix a elasticsearch request's bug
* Wed Nov  1 2017 cloud-devel@suse.de
- Update to version rally-0.10.1.dev1:
  * [cli] Suppress PyMySQL warnings
  0.10.0
* Sun Oct 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev798:
  * Propose release notes for Rally 0.10.0
* Sat Oct 21 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev796:
  * Add deployment name and uuid to ElasticExporter
  * Remove trialing space from docs to fix py27 job
  * [task] Rework junit-xml exporter
  * Propose release notes for 0.9.2
  * [docs] Fix displaying task exporters plugins ref
  * Add release notes for 0.9.1
  * Fix the datetime format of created\_at which was created by \`task results\`
  * Add ElasticSearch exporter plugin
  * Split task-export plugins by the proper modules
  * import new json report into rally db
  * [glance] mesure upload data to the image
* Fri Oct 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev778:
  * [json] Several small improvements
  * Clean docstrings of CLI methods from parameters
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev776:
  * Create new json exporter
* Wed Oct 18 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev774:
  * [ci] Launch tox at real requirements
  * Fix trend reports
  * Remove sample plugins
  * Add task for getting OpenStack key performance metrics
* Tue Oct 17 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev767:
  * Store which atomic fails
  * [db] Fix a query for tasks filtering by tags
  * [opts] Register options with loading plugins
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev762:
  * [functional] Fix hooks failures
  * Remove AtomicMerger which is unused
  * Fix certification task
  * Fix the atomic action table of task results
  * Finish work on renaming namespace to platform
  * [functional] Fix failures in DeploymentTestCase
  * [functional] Fix wrong way to obtaine the task uuid
  * update wait\_for to wait\_for\_status
* Fri Oct 13 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev746:
  * Specify platform in default contexts of GlanceImages.create\_and\_download\_image
  * [functional] Fix trivial failures in TaskTestCase
  * [ci] Start fixing CLI job
* Thu Oct 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev741:
  * [task results]Add some validation for importing task results
* Wed Oct 11 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev739:
  * Add glance.DownloadImageData scenario
  * [logging] Sort logging variables
  * Update Rally config sample
  * Unifies plugin configuration groups
  * Rename config section of benchmark & tempest to openstack
  * Port task exporters under ValidatablePluginMixin
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev727:
  * VMTasks.dd\_load: No random input for write test
  * Deprecate install\_test.sh script
  * Deprecate NovaImages.list\_images scenario
  * Allow to specify resource name pattern via rally.conf
  * Revert "[CI] Unblock CI by introducing Nova VMs cleanup bug"
* Sun Oct  8 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev717:
  * Use rally.plugins.openstack.osclients import everywhere
  * Move rally.osclients to rally.plugins.openstack.osclients
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev713:
  * Remove oslo.serialization dependency
  * Remove the direct dependency to oslo.i18n
  * [logging] Check the right usage of logging.exception
  * Save task's title and description
  * Port inner stuff to the new task format
  * [heat] Add "ERROR" status in wait\_for
  * Improve Rally Logging (part 4)
  * Use html-static instead of html\_static when exporting report from one file
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev699:
  * Port hooks to the new format
  * Improve Rally Logging (part 3)
  * Improve Rally Logging (part 2)
  * [CI] Unblock CI by introducing Nova VMs cleanup bug
* Wed Oct  4 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev692:
  * Add a comment for a workload in rally-neutron.yaml
  * Fix docstring of VMTasks.dd\_load\_test scenario
  * Deprecate 'command' argument of VMTasks.dd\_load\_test
  * Wrap several actions in VMTask with atomic timer
* Fri Sep 29 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev684:
  * Bump os-faults version to 0.1.15
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev682:
  * Make Cinder Job more stable (part 2)
  * Fix the problem of switching hooks format
  * [ci] Make cinder job more stable
  * Improve Rally Logging (part 1)
  * Fix Rally reporting in case if additive and complete keys are missing
  * create a new server in each iteration when making snapshots from a server
  * [ci] Fix path to a script to execute in hook
  * Fix duplicated hints printed in task detailed
  * Fix api\_versions@openstack context plugin
* Wed Sep 27 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev664:
  * Fix auth issue in verification
  * [ci] Temporary workaround. Unblock gates
  * Fix image list atomic action for both v1 and v2
  * Rename certification/ to tasks/
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev657:
  * [validators] Port validators to use context object
  * Improve context manager setup()/cleanup() logging
  * Fix warning in scenario configure
  * [validators] Unify the order of arguments
  * Rename arguments of workbook\_contains\_workflow validator
  * use exception in validators
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev645:
  * Use the right class name for MultiplePluginsFound
  * Use full context names in scenario context configuration
  * [plugins] Introduce <name>@<platform> syntax
  * Fix Openstack.dummy plugin implementation
  * Use "anyOf" instead of "oneOf" in users@openstack plugin
* Wed Sep 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev640:
  * Temporary fix for new ansible release
  * [cli] Fix rally task import
* Mon Sep 18 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev638:
  * Simplify & Improve Dockerfile
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev636:
  * Remove dead code from task.types
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev635:
  * Fix formatting of RPS runner logging
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev633:
  * [task result]Fix a critical bug of api import\_result
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev631:
  * [ci] Update magnum, manila, mistral and monasca jobs to task v2
  * [ci] Make rally-keystone-api-v2.yaml link to rally.yaml
  * [ci] Update nova.yml to use task v2 format
  * [ci] Update rally-designate.yml and rally-ironic.yml to use task v2 format
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev627:
  * Fix listing images in Glance V2
  * [ci] Update rally-heat.yml to use task v2 format
* Sun Sep 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev623:
  * [CLI] Add support for emtpy deployment
  * [CI] Update the magnum image name & increase timeouts
  * [unit] Fix the warnings in unit task tests
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev617:
  * Fix "-" and "\_" samples check
  * Add migration for workload stats
  * Fix an issue with missing idle\_duration in reports
  * Leave only one source of truth for atomic durations
  * Add support for nested atomics for MainStatsTable
  * Extend dummy\_random\_fail\_in\_atomic scenario
  * Switch Cinder Input Task to v2 format
* Thu Sep  7 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev605:
  * Update requirements
  * Make self-rally more stable
  * Reword "benchmark" word in code base
  * [db] Upsize title in task and subtask
  * Update network wrapper to handle neutron plugins router handling
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev596:
  * Code optimization for detach volume
  * [CI] Move to v2 format: senlin, watcher, zaqar
  * Replace DbMigrationError with DBMigrationError
  * [samples] Speed up checking samples
* Sat Sep  2 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev590:
  * Use new validators in Manila shares
  * Finalize task format v2
  * Move all defaults to TaskConfig
  * Add a single workload subtask
  * Fix to use "." to source script files
  * Switch everything to \`rally db\`
  * [CLI] Introduce rally db <command>
  * Make task format v2 more user-friendly
  * Add NovaServerGroups.create\_and\_delete\_server\_group
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev573:
  * Fix Glance v1 update call
  * Stop reinventing the is\_public filter for Glance v1
* Tue Aug 29 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev569:
  * Update requirments
* Sun Aug 27 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev568:
  * [task schema]Move TASK\_RESULT\_SCHEMA and rename to OLD\_TASK\_RESULT\_SCHEMA
  * Add allow/deny access scenario to Manila
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev564:
  * Update versions of python clients from global requirments
  * Move old validators to the new style
  * Fix message for required\_params validator
  * modify some misspellings
  * switch type(output) to isinstance in charts.validate\_output
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev557:
  * [task schema]Remove the unused schema TASK\_EXTENDED\_RESULT\_SCHEMA
  * Remove rally\_endpoint in api
* Thu Aug 24 2017 tbechtold@suse.com
- Adjust Requires and BuildRequires
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev553:
  * Simplify deployment config format
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev551:
  * Add analog of collections.namedtuple
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev549:
  * Pring task keys in more user-friendly way
  * [task engine] Remove redundant classes
  * Handle log message interpolation by the logger in common/
  * [install]Remove BASE\_PIP\_URL which was used to pass pypi resource
  * Remove redundant parent atomic action
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev540:
  * Fix cleaning action plan resources on watcher
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev538:
  * [atomic]Use \`while\` instead of recursion
  * Add neutron.CreateAndDeleteSecurityGroupRule scenario
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev535:
  * [sla] Port sla mechanism to new atomic formats
  * [db] Optimize a db migration
* Mon Aug 14 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev531:
  * mofify gate reports to use static html because of some unreachable links
  * Add GlanceImages.create\_and\_deactivate\_image
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev527:
  * Update and replace http with https for doc links in rally
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev526:
  * Improve default meta implementation
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev524:
  * Allow passing image properties to image creation scenarios
  * [db] Fix serializer to work with ordered data
  * Add sla section to samples
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev518:
  * Fix displaying SLA in html report
  * Add cinder.CreatQosAssociateAndDisassociateType
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev515:
  * Reword samples and setup.cfg
  * Do not pass enable\_snat if ext-gw-mode extension is disabled
  * Use prpoper wording instead of benchmark in rally-jobs
  * Rephrase docs call things properly
  * Remove redundant cleanup
  * [ci]move unexpected resources table to console html
  * Fixed order of arguments in assertEqual
  * [ci] Rework launching cli job
  * [cli] Add command to display db connection str
  * Print the messages what can be traced back to real address
  * [db] Do not load unused fields
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev494:
  * Remove isfile checks on task and task args files
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev493:
  * Remove obsolate conepts
  * Reduce 2 minutes of sleeps in functional cli task trends test
* Mon Jul 31 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev490:
  * Remove redudant configuration hacking in func samples test
* Sun Jul 30 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev488:
  * Ceilometer Samples Context should wait until samples are processed
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev487:
  * Fix step number in tutorial section in rally doc
  * Remove dead code in task.validation module
  * Fixed missing hyperlink for Ref[4] in osprofiler.rst in Rally Doc
  * Update the documentation link for doc migration (additional)
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev480:
  * Fix Designate Plugins
  * Reduce load in Nova and Cinder CI jobs
  * Rename namespace -> platform in scenarios
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev475:
  * Reduce load in gates in long running jobs
  * [db] Fix an issue with writting inf value
  * Fix assertRaise cli output to only generate one file per test
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev469:
  * Remove namespace in osclient module
  * Rename namespace -> platform in context & validators plugins
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev467:
  * [ci] Use not the latest xdist package
  * Move tests.unit.test\_logging to tests.unit.common.test\_logging
  * Improve deprecation warnings
  * Add nova.BootServerAttachVolumeAndListAttachemnt
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev459:
  * Move os\_faults import from the root of module
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev458:
  * [small change]Change the format of plugin information
  * Put db requirements to extra requirements
  * Improve Task v2 format
  * Rename namespace -> platform (part 1)
  * remove runtime dep on sphinx
  * [ci] Experiment with check\_random\_request
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev446:
  * [ci] do not fail on glance resources
  * Fix an issue of database migration
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev443:
  * Update the documentation links for doc migration
  * [cli] "rally task list" improvements
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev439:
  * Added user creds in 'rally deployment check' err debug msg with tests
  * Improve tox -e cli write to report failed commands as well
  * Remove existing\_users context
  * [db] Move serialize wrapper in the proper place
  * Expand user path in Murano plugins
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev431:
  * Remove Cinder create and delete volume v1 API
  * Update URL home-page in documents according to document migration
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev429:
  * [ci] Turn off glance scenarios
  * [Install] Fix postgresql installation
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev426:
  * Fix the bug of exporting report
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev424:
  * Fix junit-xml reporter always reporting failure
  * Fix an issue with None name of plugin
  * [CI] Do not print logs when using JSON format
* Tue Jul 11 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev419:
  * Extend volume\_type\_exists with nullable option
  * Prepare for rally-openstack package
  * Add NovaServers.boot\_and\_get\_console\_url
  * Get rid of extended\_results of task
  * Fixed shebang and permissions for scripts
* Mon Jul 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev409:
  * Fix murano package scenarios
* Sun Jul  9 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev408:
  * Store all data in db workload object
* Sat Jul  8 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev406:
  * Remove old way to describe scenario plugin via method
  * Update .gitignore
  * add to judge whether resources end up with 'y' when clean up
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev401:
  * Fix floating bug with osprofiler test
  * Update requirements
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev398:
  * [ci] Fail job in case if there are undeleted resources
  * Add BGP VPN scenarios
  * [task] Simplify db layer
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev392:
  * Fix misuse of assertIsNone
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev391:
  * 'File exists' validator and Utils class for validators
  * [ci] Turn off failed cinder test
  * [docs] Fix representation of items
  * fix router context to cleanup routers resources
* Sun Jul  2 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev385:
  * Switch to kubernetes upstream python client
  * Fix enum validation in manila shrink and extend scenarios
  * Fix several TODOs in db layer
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev380:
  * [ci]merge 3 patchs to unblock our ci
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev379:
  * Extend tags feature of tasks
  * Fixup Rally Tutorial Page Link in README
* Mon Jun 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev376:
  * add check 'rally verify' related job in our CLI
* Sun Jun 25 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev374:
  * Refactor the related command of task report and export
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev373:
  * Add router in context
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev371:
  * Add manila extend/shrink scenarios
  * [verify] Fix setting auth\_url
  * Add neutron.CreateAndShowSecurityGroupRule scenario
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev365:
  * Improve plugin sample and corresponding 'creating a plugin' tutorial
  * Remove step\_9 tutorial from rally doc
  * fix Rally task [NovaServers.list\_servers] failed with network problems
  * Add case\_insensitive parameter to enum validator
  * [docs] include required platforms of plugins
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev358:
  * deployment.list() return the serial result
  * Deprecate CinderUtils and CinderWrapper
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev354:
  * cleanup old required\_services
  * [ci] Test openstack deployment without admin
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev350:
  * make verification job great again
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev348:
  * Fix \`rally verify rerun\`
  * remove redundant parameter in comments
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev345:
  * Allow deployment without admin creds
  * Move 'volume\_type\_exists' scenario to '../validators.py'
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev341:
  * cleanup bgp resources
  * Add neutron.CreateAndListSecurityGroupRules scenario
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev338:
  * Deprecate optional\_action\_timer
  * Fix an issue with namespace of scenario
  * [raas] Adding a decorator of api\_wrapper
  * Use manilaclient for API validation in Manila client
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev331:
  * [ci][samples] Reduce redundant authentications
  * [ci][samples] Try to speed up checking samples
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev329:
  * [db] Fix porting task to the old format
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev328:
  * Revert "[ci] remove pytest-xdist dependency"
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev327:
  * Fix a typo and update a link address
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev326:
  * Using fixtures instead of deprecated mockpatch module
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev324:
  * Remove usage of parameter enforce\_type
  * Add CinderVolumeTypes.create\_volume\_type\_add\_and\_list\_type\_access
  * Add task command \`rally task import\`
* Wed May 31 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev319:
  * Various changes in custom\_image context
  * [validator]cleanup required\_contexts warning
  * Bugfix: fix the auth\_version
  * [cleanup][network-wrapper] Handle auto-removed ports
  * [cleanup] Fix flavors context
  * [raas] the route need the api's version
  * OSprofiler support
* Tue May 30 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev305:
  * Move 'required-param-or-context' validator to '../validators.py'
  * Revert "Temporary disable Cinder scenario that creating volume from image"
* Sun May 28 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev301:
  * Allow CEPHFS as a valid share type in manila scenarios
* Fri May 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev300:
  * Move 'required\_contexts' validator to '../validators.py'
  * Fix unit test of rally ci
  * [validator]remove redundant validator and cleanup warning
* Fri May 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev296:
  * [validators] Cleanup warnings
  * Move required-api-versions validator to '../validators.py'
  * modify the annotations of delete\_snapshot
  * Adds Networking-bgpvpn tests
  * Add comment for 'seen' variable
  * Moving of 'required\_cinder\_services' validator to '../validators.py'
  * Temporary disable Cinder scenario that creating volume from image
  * Add cinder.CreateAndSetQos scenario
  * [flavor]replace kwargs with details args
* Tue May 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev280:
  * Replace kwargs with specific arguments
  * [Magnum] Context and scenario for Kubernetes
* Sun May 21 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev277:
  * Move 'restricted-parameters' validator to '../validators.py'
  * [glance]delete redundant validation
  * Add cinder.CreateAndUpdateVolumeType scenario
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Move 'validate\_heat\_template' validator to '../validators.py'
  * Refactor exceptions
* Fri May 19 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev267:
  * Add a validator
  * Move 'required\_services' validator to 'openstack/validators.py'
  * [ci] Remove NovaSecGroup scenarios from rally-ci
  * Modify log marker functions's usage in an exception
  * update requirements
  * Add CinderVolumeTypes.create\_and\_update\_encryption\_type
* Thu May 18 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev255:
  * [validators] Fix warning
  * Fix loading plugins by entry-points
  * Fix an issue with image interface of nova
  * Fix allow\_ssh context
  * Remove serverproviders & rarely used deployers
* Wed May 17 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev245:
  * Magnum: Move keypair handling at the cluster level
  * Remove all calls to network interface via Nova
* Mon May 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev243:
  * Update requirements
  * [plugins] Introduce plugins as python-packages
  * Adds Networking-bgpvpn scenarios
  * Add timestamp to atomic wrapper
  * Add cinder.CreateAndListVolumeTypes scenario
* Wed May 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev235:
  * Add NeutronNetworks.create\_and\_show\_routers
  * Move 'required\_clients' validator to '../validators.py'
  * Add CinderVolumeTypes.create\_get\_and\_delete\_encryption\_type
* Fri May  5 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev230:
  * Move 'image-valid-on-flavor' validator to 'openstack/validators.py'
  * Move 'required\_neutron\_extension' validator to '.../validators.py'
  * Move 'external-network-exists' validator to 'openstack/validators.py'
  * [image] Extract the common function
* Wed May  3 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev224:
  * Fix identity v3 detection
  * Remove UnifiedOpenStackService
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev221:
  * [validation] Improve deprecation message
  * [manila] Fix cleanup of manila\_share\_networks ctx
  * Extend images@openstack context
  * [cleanup] Add cinder.image\_volumes\_cache resource
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev214:
  * [cleanup] Introduce matcher for real names
  * Adds Networking-bgpvpn tests
  * [atomic\_actions]Port report to new atomic actions
  * Add NovaServers.boot\_server\_and\_list\_interfaces
  * Remove nova-networks
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev204:
  * fix list\_volumes in case image has no name
  * Port context of volume type to block service
  * [API] Abandon usage of classmethods & staticmethods in API
  * [spec] OSProfiler integration in Rally
  * [db] Add lazy-migration for atomics
  * Unify QoSSpecs returned data
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev192:
  * Fix details of nova\_utils
  * Move 'image-exists' validator to 'openstack/validators.py'
* Sun Apr 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev189:
  * Fix the choice of default\_role
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev187:
  * Deprecate rally.osclients.EC2
  * 'network-exists' validator removed
  * Fix atomic wrapper
  * Add support for namespaces into context manager
  * [osclients] do not always strip auth\_url
  * [validation] Replace required\_openstack in neutron/network.py
  * GlanceImages.create\_and\_update\_image
  * Extend required\_paramaters validator
  * Fix list\_and\_get\_host scenario bug
  * Add NeutronNetworks.set\_and\_clear\_router\_gateway
  * Add GlanceImages.create\_and\_get\_image
  * [Service] Update get\_image functions' input and add a param in UnifiedImage
  * [validation] Replace required\_openstack in all scenarios
  * [Service] Port all glanceWrapper to image\_service
  * [REPORT] Adjust started\_at param's form in task\_report
  * [cleanup] Restrict "admin\_cleanup" to scenario resources only
  * [Service] Fix some details in image\_service
  * [verify] Fix \`rally verify rerun\`
  * Fix MagnumClusters.create\_and\_list\_clusters
  * Add NeutronNetworks.create\_and\_show\_ports scenario
  * [cleanup] Remove old nova\_client judge in NovaServer
  * Enabling support of 'script\_inline' option
  * [FIX] Port some cleanup to admin\_cleanup in scenarios
  * Add CinderVolumeTypes.create\_and\_delete\_encryption\_type
  * Adjust auth\_url's deal in Keystone
  * Add NovaServerGroups.create\_and\_get\_server\_group
  * [validation] validate scenario default\_context
  * [TASK] Add created\_time at task-report-html
  * Add expected variable to heat.create\_client
  * Move DD\_Load task from BASH script to Rally scenario
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev179:
  * Add cinder.CreateAndGetQos scenario
  * fix type in name of EC2 service
  * Make openrc deployment file work with keystone v3
  * Prepare tests to moving validators to 'openstack/validators.py'
  * Fix doc generation for Python3
  * [osclients] do not always strip auth_url
  * Split validation at 3 layers
  * [validators] Port 'number' validator to plugin base
  * [validation] Replace required_openstack in neutron/network.py
  * [API] Remove the DeprecatedAPIClass
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev159:
  * Add cinder.CreateAndListQos scenario
  * GlanceImages.create_and_update_image
  * Extend required_paramaters validator
  * Revert "Unblock other projects"
  * Unblock other projects
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev149:
  * Fix devstack rally deployment config
  * Add nova.BootServerAndAttachInterface scenario
  * Add neutron.CreateAndShowSecurityGroup scenario
  * Replace 'assertEqual(True, a)' with 'assertTrue(a)' and add hacking rule
  * [ci] print available images, volumes, nets
  * Add samples to context directory
* Sat Apr 15 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev139:
  * Fix a typo
* Fri Apr 14 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev138:
  * Fixing of creating of images for rally verify
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev137:
  * Fix error when showing a failed deployment
  * [API] Make return data of Task API serializable
  * [core] Refactor validation
  * Remove OPTs from 'utils.py'
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev129:
  * [ci] add task file for telemetry job
  * [cleanup] Use workload uuid in resource names
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev125:
  * Optimize the link address
  * Add NeutronNetworks.set_and_clear_router_gateway
  * Add GlanceImages.create_and_get_image
* Mon Apr 10 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev120:
  * [ci] remove pytest-xdist dependency
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev119:
  * Fix task results bug
  * Fix insecure and cacert warnings
  * Fix list_and_get_host scenario bug
  * Fixed project creation with Keystone v3
  * Add cinder qos and nova server groups in ci/osresources
  * Add properties argument when create ironic node
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev107:
  * [validation] Use jsonschema validator in ScenarioRunner plugins
  * [validation] Use jsonschema validator in Context plugins
  * credentials is not updated after deployment is recreated
  * Reduce hardcode to OpenStack
  * Add  neutron.CreateAndShowSubnet scenario
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev97:
  * [cleanup] Fix neutron quotas resource
  * Propose a spec for Rally-as-a-Service
  * [cleanup] Fix ec2 credential resource
  * [REPORT] Adjust started_at param's form in task_report
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev89:
  * Switch glance wrapper to image service that cinder service calls
  * [plugins] Fix ironic scenarios
  * [validation] Use jsonschema validator in SLA plugins
  * [Service] Update get_image functions' input and add a param in UnifiedImage
  * [validation] Use jsonschema validator in Hook and Trigger plugins
  * [ci] Change image name for senlin job
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev78:
  * [validation] Replace required_openstack in all scenarios
  * Add py files in doc directories to pep8 check
  * Requirements file missing python-virtualenv
* Sun Apr  2 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev73:
  * [cleanup] Restrict "cleanup" to scenario resources only
  * [cleanup] Fix neutron resources
* Sat Apr  1 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev69:
  * [Service] Port all glanceWrapper to image_service
  * Use cinder service in cinder volumes context
  * [CI] Merge subtasks in self-rally.yaml
  * [Core] Allow more than 1 workload in v2 task config
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev62:
  * Switch cinder scenarios to cinder service
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev60:
  * [cleanup] Restrict "admin_cleanup" to scenario resources only
  * [CI] Fix typo in osresources.py
  * [Validator] Add validator plugin base
  * [Service] Fix some details in image_service
  * [cleanup] Modify quotas resources
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev50:
  * [Install] Add --force-yes argument to apt-get
  * Corrected the grammar mistake
  * [Service] Port all glance scenarios to Image Service
  * [CI] Move default rally scenarios to rally-tox-self job
  * Avoid shell=True in subprocess
  * Add NeutronNetworks.create_and_show_ports scenario
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev39:
  * [ci] Add features.yaml file
  * [Core] Add support for default platform and rally self job
  * Make return data of Deployment API serializable
  * Fix MagnumClusters.create_and_list_clusters
  * refactor atomics actions
* Sun Mar 26 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev30:
  * [verify] Fix `rally verify rerun`
  * Add "description" to task config
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev26:
  * [CI] Show test names in job logs
  * [CI] Enable embedded css on py.test report
  * OSResources should be extended to cover all resorces
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev20:
  * [CI] Add tox self env that do nothing
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev19:
  * modify the parameter error in comments
  * Update deployment samples
  * Fix deployment --fromenv option
  * Port CinderWrapper to service modules
  * Make return data of Verify/Verification API serializable
  * Add cinder.CreateAndGetVolumeType scenario
  * Add NovaServerGroups.create_and_get_server_group
  * [DOC] Remove redundant info of 'rally show' in docs
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version rally-0.9.1.dev6:
  * Adjusting introduction of gate
  * Fix nics format in servers ctx
  * [Core] Create new plugin based class for credentials
  0.9.0
  * add release notes for 0.9.0
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev143:
  * [Trivial]Fix some spelling errors
  * [Trivial]Correct some type errors
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev139:
  * [docs] Update docs in jsonschema
  * [requirements] Sync requirements
  * [cleanup] Introduce NoName obj for res without name field
  * [cleanup] Remove old nova_client judge in NovaServer
  * [docs] Extend verification reporters with output examples
  * Revert "Neutron's floatingip add desc param"
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev131:
  * [verify] Extend rerun cmd with tag and concurrency args
  * Enabling support of 'script_inline' option
  * Remove logging import unused
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev125:
  * [CI] Show all attributes in osresources check
  * [verify] Extend rerun cmd with detailed and no-use args
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev122:
  * Neutron's floatingip add desc param
  * Do not check Glance V1
* Sun Mar 12 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev120:
  * [CI] skip some resources while checking cleanup
  * Modify variable's usage in Log Messages
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev116:
  * [CLEANUP] Add ability to specify superclass for cleanup
  * Change volumes size or time of cind ci
  * pprint jsonschema in plugin reference
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev111:
  * Add cinder backups quota support
  * Add hacking rules for deprecated LOG.warn
* Wed Mar  8 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev107:
  * Corrected the sentence in problem description
  * [ci] Add status field to resource identifiers
  * [img] changed the spelling of third party in the image
  * Modifing of test on docstrings
  * Add CinderVolumeTypes.create_and_delete_encryption_type
* Tue Mar  7 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev97:
  * [Test] Fix randomly failing unit test
  * Add nova.CreateAndGetKeypair scenario
  * [FIX] Port some cleanup to admin_cleanup in scenarios
  * [Core] Make task engine more abstract
* Sat Mar  4 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev89:
  * Fix ordered dict rendering for task templates
  * Adjust auth_url's deal in Keystone
* Fri Mar  3 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev86:
  * [CI] Update hacking and fix pep8 errors
  * Refactoring of deployment credentials
  * [validation] validate scenario default_context
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev81:
  * Update core members
  * [Verify] Fix issue with verifier versions
  * Remove Endpoint from Rally common objects
  * Fix simple typo in file network.py
* Fri Feb 24 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev73:
  * removed extra 'can' from description
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev71:
  * [FIX] fix params in creating floating-ip
* Sat Feb 18 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev69:
  * [CI] Fix neutron job
  * [CI] Increase SLA values to improve stability of CI
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev66:
  * [CI] Fix image regexp and version
  * Improve Task status list
  * Fix used jsonschemas
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev61:
  * Remove BootRuncommandDeleteCustomImage scenario
  * [ci] Check all rally-jobs tasks
  * Fix race-condition while making dirs in cli tests
  * Switch deployment and verify to custom yaml
  * Typo fix: interupt => interrupt
  * Add expected variable to heat.create_client
  * Add argument to test boot server with file
* Sun Feb 12 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev48:
  * [TASK] Add created_time at task-report-html
  * [Trivial]Fix some type errors in ../README.rst
  * [Trivial]Fix some type errors
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev44:
  * [Verify] Fix issue with test name regex in Testr plugin
  * Fix backup create and restore scenario race problem
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev40:
  * [Core] Check deployment status
  * [Trivial]Fix type errors
* Thu Feb  9 2017 sjamgade@suse.com
- Add python-os-faults as requirement
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev36:
  * Switch task parser to custom yaml
  * Add custom yaml class
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev32:
  * [docs] reduce sphinx warnings
  * Move DD_Load task from BASH script to Rally scenario
  * Correct some annotation spelling mistakes
  * [Verify] Refactoring of Tempest verifier plugin
  * Add cinder.CreateAndSetVolumeType scenario
  * Add keystone.CreateAndUpdateUser scenario
  * osclient: Pass endpoint_type in kw_args to client
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev19:
  * Typo fix: splitted => split
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev18:
  * Correct some annotation errors
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev17:
  * [docs] Fix _get_info for function based scenarios
  * [docs] Improve plugins and cli references
  * Use _create_network in _create_network_structure
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev11:
  * Add keystone.CreateAndListAllRoles
  * Add nova.ResizeShutoffServer scenario
  * [Core] MetaMixin: improve implementation of default values
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev8:
  * Fix JUnit-XML report
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev7:
  * Expand context validator logic
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version rally-0.8.2.dev5:
  * add more badges
  * Add support for enable_plugin
  * Fix Zaqar client auth
  0.8.1
  * Show team and repo badges on README
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version rally-0.8.1.dev6:
  * Release 0.8.1
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version rally-0.8.1.dev5:
  * Fix novaclient requirement
  * [doc] Add documentation for hook and trigger plugins
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version rally-0.8.1.dev3:
  0.8.0
  * Use new network for each subnet scenario run
  * [doc][verify] Some more changes in docs before release
  * Typo fix: mentiones => mentioned
  * [docs] several fixes before release
  * [Verify] Add docs with common workflow for verifications
  * Add quotas.CinderGet scenario
  * [install bug]Fix directory changed when installing env
  * Add CinderVolumeTypes.create_and_list_encryption_type
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev325:
  * [CLI] Allow changing deployment config on recreate
  * Add release notes for 0.8.0
  * Sync requirements
  * [docs] Describe verification component
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev318:
  * [Verify] Add 'crashed' status to verifications
  * [verification] Introduce rally verify show-verifier command
  * Typo fix: binded => bound
  * [docs][info] Introduce new method for custom plugin docs
  * [Verify] Add --detailed flag to `rally verify start` cmd
  * [Verify] Add tags to verifications
  * [verification] add junit reporter
  * [verification][api] Store default repo to db
  * [docs] Move several docs
  * [docs] Several improvements for extensions
  * Fix trailing space added at end of lines
  * [Verify] The latest cleanup before new release
  * [Deployment] Delete redudant printed info of deployment
  * Add neutron lbaasv2 loadbalancer scenarios
  * [Test] Add test for simple app based on rally api
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev290:
  * [Context] Add region_name in credential
  * Use interface argument name for keystoneclient
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev286:
  * [Verify] Delete HTMLStaticReporterTestCase class
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev284:
  * [common] create base class for verifier contexts
  * [verification] Add HTML-Static reporter plugin
  * Add cinder.CreateIncrementalVolumeBackup scenario
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev278:
  * [verification] Save timestamps of tests
  * Replace yaml.load() with yaml.safe_load()
  * change neutron client's endpoint
  * [task] Update the task log to make it consistent
  * Removed redundant word: 'is'
* Sun Jan 15 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev269:
  * [Verify] Improve names of args for configure_verifier method
* Sat Jan 14 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev267:
  * Explicitly pass endpoint type to Neutron client
  * Fix hook and trigger validation
  * Make glance v2 the default
* Wed Jan 11 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev262:
  * [docs][7] Re-design docs to cover all user-groups
  * [docs][6] Re-design docs to cover all user-groups
  * [plugins][cli] Include plugin base in plugins list
  * Make verification reporter pluggable
  * [verification] add force flag to configure verifier
  * Switch admin_cleanup to usercleanup
  * [Verify] Small improvoments for `rally verify show` cmd
  * [Verify] Introduce `rally verify rerun` cmd
  * [Core] Skip db check for plugin commands
  * Get glance+rally to work under python3
  * Support PYTHON3 gate jobs
  * [Core] Show proper error message when db is missing
  * Additional checks for ceilometers and designate scenarios
  * Move junit module to rally.common.io
  * Add NovaServerGroups.create_and_list_server_groups
  * Add neutron.CreateAndShowNetwork scenario
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev230:
  * Fix a typo
  * Removes unnecessary utf-8 encoding
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version rally-0.7.1.dev227:
  * [verification] use vertical table
  * [install] Add iputils to bindep
  * [install] Fix install_rally.sh
  * Add nova.CreateFlavorAndAddTenantAccess scenario
* Sat Dec 31 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev219:
  * [Verify] Add DB migration to fix test results for verifications
  * [Verify] Small improvements for verification component
* Fri Dec 30 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev215:
  * Check verification component refactoring
  * Save raw task results in chunks
  * Change "a SQL" to "an SQL"
  * Fix simple typos in file hypervisors.py
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev207:
  * [verification] Fix small bugs in verification component
  * [Verify] Fix small bugs in CLI interface
  * [verification] Introduce Tempest verifier
  * [verification] Add CLI interface
  * Remove cueclient
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev198:
  * [Core] Add database revision check to API initialization
  * [cli]remove deprecated `rally show` command
  * [Verify] Improve messages in logging and exceptions for verify API
  * [Bindep]Use bindep lib to install system packages
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev192:
  * [verification] add api
  * [verification] Add base manager and context classes
* Mon Dec 26 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev190:
  * Fix a bug of wait_for_status when running timeout
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev188:
  * [verification] Introduce new objects
  * Fix the link in rally-jobs
  * [Core] Remove map_for_scenario
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev182:
  * [verification] Modify subunit_v2 parser
  * [verification] Introduce BackupHelper
  * [verification] Prepare reports to new structure
  * [API] Add API class
  * Replace six.iteritems with dict.items()
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev173:
  * [verification] Remove outdated stuff
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev172:
  * Use assertGreater(len(x), y) instead of assertTrue(len(x) > y)
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev171:
  * Change _ to _LW for LOG.warning
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev170:
  * [Hooks][Reports] Make hook config visible in report
  * [Hooks][Reports] Fix task report crash
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev167:
  * Use sa.Text instead of sa.String(1000) for verifier description
  * [db] Migrate old verification results to new format
  * [ci] Use neutron quotas for security groups
  * Additional checks for nova scenarios
  * Add Subtask and Workload classes
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev158:
  * [jobs] Test all keystone scenarios
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev156:
  * [core][constant_runner] add validation for concurrency
  * Port all keystone scenarios to Identity Service
  * [Services] redesign metaclass to support subclasses
  * [Spec] Updates for improve_atomic_actions_format.rst
  * Make our CI great again
  * Use _list_hypervisors() method in nova aggregates
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev145:
  * Add Apache 2.0 license to source file
  * [ci] stop checking verification component
  * Fix db.deployment_update
  * [Core][Bug] Fix 'task start --abort-on-sla-failure'
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev138:
  * [Install] Remove redundant getpip variable
  * [docs][5] Re-design docs to cover all user-groups
  * Add CinderVolumeTypes.create_volume_type_and_encryption_type
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev132:
  * Bump virtualenv version in install_rally.sh
  * [CI][cli] use env variable to determine KeystoneV3
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev129:
  * [docs][4] Re-design docs to cover all user-groups
  * [ci] Fix our jobs
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev126:
  * [docs][3] Re-design docs to cover all user-groups
  * [docs][2] Re-design docs to cover all user-groups
  * [CLI] group commands in help message
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev122:
  * CreateAggregateAddHostAndBootServer scenario for aggregates
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev121:
  * Remove extra field from watcher plugin
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev119:
  * update keypair's context
  * Small correction to db_refactoring.rst
  * Refactor DB shema for task results
  * [docs][1] Re-design docs to cover all user-groups
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev112:
  * Fix rally verify ci test
  * [docs]add info about trello board and gitter chat
  * [Services] Introduce Identity Service
  * Add cinder.ListAndGetVolume scenario
  * Add NovaAggregates.create_and_get_aggregate_details
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev103:
  * [gates] Fix rally gates
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev102:
  * [Rally profile] Increase sla rates for generate names
  * Add an option to pass workflow input and parms to mistral execution
  * [requirements] Sync requirements
  * Allow create image params in glance scenario
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev94:
  * Add ability to increase rps with certain duration
  * [Manila] Add scenarios for Manila share metadata
  * [cli] do not sort results of tasks
  * Add missing device_owner for L3 HA's case
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev86:
  * Add CinderVolumes.create_and_accept_transfer
  * [ci] add test hook for certificaiton task
  * Add NeutronNetworks.list_agents
* Sun Nov 13 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev80:
  * Add cinder.CreateVolumeType scenario
  * Update wait_for to wait_for_status
* Sat Nov 12 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev76:
  * Remove hosts in a nova aggregate before deleting the aggregate
* Thu Nov 10 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev75:
  * [Rally profile] Performance of creating atomic timers
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev74:
  * Add CeilometerAlarms.create_and_get_alarm
* Tue Nov  8 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev72:
  * [Verify][Reports] Small improvements of Rally verify report
  * [Manila] Fix CI job configuration
  * Add nova resources in ci/osresources
  * [Reports] Fix sorting for Hooks column in overview table
  * [Services] Add base class Service
  * Add nova.CreateAndDeleteFlavor scenario
  * Add keystone.CreateAndGetRole scenario
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev58:
  * Fault injection hook plugin
* Wed Nov  2 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev57:
  * Add Quotas.nova_get The scenario list the quotas for nova
* Tue Nov  1 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev55:
  * Fix simple typos in file hypervisors.py
  * Replace six iteration methods with standard ones
  * Add nova.ListAndGetHosts scenario
  * Add test and sample to CreateAndListNetworks
  * Add CinderVolumes.create_volume_and_update_readonly_flag
  * Add CinderVolumes.list_transfers
* Sat Oct 29 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev43:
  * Fix a typo in 'rally verify compare' msg
  * Add nova.ListAndSearchHypervisors scenario
  * Propose Oleg Bondarev to neutron-plugins-core
  * allow passing of specific volume type
* Fri Oct 28 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev36:
  * Increase number of iterations in RallyProfile.generate_names_in_atomic
  * Use upper-constraints for tox envs
* Thu Oct 27 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev33:
  * Benchmark for generate_random_name
  * Improve debug logging level in Engine
* Wed Oct 26 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev31:
  * Don't attempt to escalate rally-manage privileges
  * Fix some typos in release note
  * Add CinderVolumes.list_types
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev26:
  * Add nova.getHypervisorStatistics
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev24:
  * [Manila] Add create_and_list_share scenario for Manila
  * [Trivial] Fix some typos in rally
  * [CLI] Fix mentions of deprecated command `rally verify compare'
  * Add v3 role create usage
  * Add nova.BootServerAndAddSecgroup
  * [Plugins] Replace instance_dd_test.sh with instance_test.sh
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev13:
  * Avoid variables overwrite by keystone default config
  * [Reports] Get rid of Mako in reports, finally
* Thu Oct 20 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev9:
  * [Tests] Fix functional test_time_hook
  * [Reports] Significant improvements in verification report
  * Add nova.ListAndGetHypervisorUptime
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version rally-0.7.1.dev3:
  * sys_call hook: Open subprocces streams in preferred encoding
  * Add option to create mistral execution from workbook
  0.7.0
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version rally-0.6.1.dev149:
  * [release] notes for 0.7.0
  * Remove pycparser restriction from requirements
  * Move 'hook_section.rst' spec to doc/specs/implemented/hook_plugins.rst
  * [docs] Fix plugin references for class-based scenarios
  * Add NovaAggregates.create_aggregate_and_add_host
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version rally-0.6.1.dev139:
  * Sync requirements before release
  * [Gates] Synchronize script instance_test.sh
  * [Tests] Improve RallyCliError exception
  * Add nova.CreateFlavorAndSetKeys
  * Add nova.ListAndGetHypervisors
  * Add NovaAggregates.create_and_update_aggregate
  * [Verify] Fix `rally verify installplugin` cmd
  * Moving of Nova.Servers scenarios into separate classes
  * [Hooks][Reports] Show Hooks output in HTML report
  * Port all Sahara scenarios to new style
  * Moving of Neutrone scenarios into separate classes
  * Add Keystone token validation
  * [Verify] Fix tempest keystone v3 tests
  * [Verify] Fixing issue with downloading images for the tests
  * Replace warning.warn with LOG.warning
* Thu Oct  6 2016 tbechtold@suse.com
- Use latest master tarball
* Thu Jun 11 2015 tbechtold@suse.com
- Initial packaging
